<!DOCTYPE html>
<html>
  <head>

    <title>Actividad</title>
  </head>
  <body>
    <h2>Actividad </h2>
    <script>
        var textoInicial = "Ayer fui a comer con oscar";
        var textoBuscar = "oscar";
        var longitud = textoBuscar.length;
        var start = textoInicial.indexOf(textoBuscar);
        var posicionFinal = start + longitud;
        var texto = textoInicial.slice(start, posicionFinal);
        document.write( texto);
    </script>

  </body>
</html>
